Jump to content

Kodak G3 Picture Kiosk


Cmarts1
 Share

Recommended Posts

Hi

The printer ribbon has been changed from 6R to 6SR and the 6800 printer won't accept it, it says incorrect ribbon. We have been told to upgrade the printer firmware; we have downloaded all the correct updates and the g3 gets so far through the installation process then says cannot install this on your system.

Kodak have been no halp what so ever so far, i wonder if anyone knows anything we can do to get it to work ?

Thanks in Advance

Cameramarts

Link to comment
Share on other sites

Hi All,

Turns out the software installed on the Kodak G3 was what it came with so thats why it wasnt updating the firmware on the printer.

We ordered KPK V1.5 for the G3 and installed that which took a good couple hours. After that the firmware went on no problems.

However this was through NO HELP of kodak themselves we had to solve it ourselves and with the help of our suppliers.

Thanks for all your help.

Link to comment
Share on other sites

The truth of the matter is Kodak withdrew all Service Back-up  for the G3's well over a year ago, this tied in with them transfering most  service

back up to distributors. abd the release of r version 2.2  which would not work correctly on the G3. This was widely publisised in trade press, all there efforts are going into the G4x which

needs a lot of support. Theses are way under powered machines even with extra RAM.

Link to comment
Share on other sites

Hi All,

Turns out the software installed on the Kodak G3 was what it came with so thats why it wasnt updating the firmware on the printer.

We ordered KPK V1.5 for the G3 and installed that which took a good couple hours. After that the firmware went on no problems.

However this was through NO HELP of kodak themselves we had to solve it ourselves and with the help of our suppliers.

Thanks for all your help.

Kodak dropped all support for the G3 some considerable time ago and advised users accordingly. In our case, we had about 9 months notice that support was going. As Trevor said, their support is now only for the G4 series.

If you had to upgrade to V1.5, then you must have had some fairly old software.

Forums like this are the only real support now for the G3 machines, which in all honesty are getting so old and slow, and limited in what they can offer, its probably time to think of them for landfill!

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...